Package htsjdk.tribble.readers

# Interface LineIterator

All Superinterfaces:
  `Iterator<String>`

All Known Implementing Classes:
  `AsciiLineReaderIterator`, `LineIteratorImpl`

public interface LineIterator extends Iterator<String>
A very simple descriptor for line-iterables.

## Method Summary

Modifier and Type
Method
Description
`String`
`peek()`
Peeks at the next line, without expending any elements in the underlying iterator.

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

## Method Details

### peek

String peek()
Peeks at the next line, without expending any elements in the underlying iterator.